part of side_inputs;
class SideText extends StatelessWidget {
  
  factory SideText.noBorder(
          {required final String text,
          final String? sizeFromParent,
          double? connectionI,
          final TextStyle? style}) =>
      SideText(
          text: text,
          sizeFromParent: sizeFromParent,
          connectionI: connectionI,
          style: style,
          border: false);
  SideText({
    Key? key,
    required this.text,
    this.sizeFromParent = '1x3',
    this.connectionI,
    this.border = true,
    this.style,
  }) : super(key: key);
  static const int maxIHeight = 8;
  static const int maxIWidth = 7;
  static const String preferSize = '3x4';

  final String text;
  final String? sizeFromParent;
  double? connectionI;
  final TextStyle? style;
  final bool border;
  @override
  Widget build(BuildContext context) {
    // media sizes
    final size = MediaQuery.of(context).size;

    sizeFromParent ?? preferSize;
    final postIWidth = realWidth(
        maxWidth: maxIHeight,
        prefSize: preferSize,
        pWidth: sizeFromParent?.prefWidth);
    final postIHeight = realHeight(
        maxHeight: maxIWidth,
        prefSize: preferSize,
        pHeight: sizeFromParent?.prefHeight);
    connectionI ??= 1.i(mediaSize: size);
    final min = 2.sp(connectionI!).floorToDouble();
    return Container(
      padding: EdgeInsets.all(1.p(i: connectionI!)),
      margin: EdgeInsets.all(1.p(i: connectionI!)),
      height: postIHeight * connectionI!,
      // width: postIWidth * connectionI!,
      alignment: Alignment.center,
      decoration: border
          ? BoxDecoration(
              border: Border.all(width: 0.1),
              borderRadius: const BorderRadius.only(
                topLeft: AppRadius.radius10,
                topRight: AppRadius.radius10,
              ))
          : null,
      child: AutoSizeText(
        text,
        minFontSize: min,
        style: style,
        textAlign: TextAlign.center,
      ),
    );
  }
}
